Package ghidra.app.events

# Class ExternalProgramLocationPluginEvent

java.lang.Object
ghidra.framework.plugintool.PluginEvent
ghidra.app.events.ExternalProgramLocationPluginEvent

public final class ExternalProgramLocationPluginEvent extends PluginEvent
Plugin event that is generated when a tool receives an external ProgramLocationToolEvent.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  The name of this plugin event.
  `static final String`
  `TOOL_EVENT_NAME`

  ### Fields inherited from class ghidra.framework.plugintool.PluginEvent

  `EXTERNAL_SOURCE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalProgramLocationPluginEvent(String src, ProgramLocation loc, Program program)`
  Construct a new ProgramLocationEvent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProgramLocation`
  `getLocation()`
  Returns the ProgramLocation stored in this event.
  `Program`
  `getProgram()`
  Returns the Program object that the location refers to.

  ### Methods inherited from class ghidra.framework.plugintool.PluginEvent

  `getDetails, getEventName, getSourceName, getToolEventName, getTriggerEvent, isToolEvent, lookupToolEventName, setSourceName, setTriggerEvent, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    The name of this plugin event.
    See Also:
      - Constant Field Values

  - ### TOOL_EVENT_NAME

    public static final String TOOL_EVENT_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ExternalProgramLocationPluginEvent

    public ExternalProgramLocationPluginEvent(String src, ProgramLocation loc, Program program)
    Construct a new ProgramLocationEvent.
    Parameters:
      `src` - the name of the plugin that generated this event.
      `loc` - the ProgramLocation object that contains the new location.
      `program` - the Program for which the loc object refers.

- ## Method Details

  - ### getLocation

    public ProgramLocation getLocation()
    Returns the ProgramLocation stored in this event.

  - ### getProgram

    public Program getProgram()
    Returns the Program object that the location refers to.